/* ==========================================
TABLET
========================================== */

@media (max-width:1024px){

header{

padding:20px 30px;

flex-direction:column;

height:auto;

gap:20px;

}

nav{

flex-wrap:wrap;

justify-content:center;

gap:20px;

}

.hero{

grid-template-columns:1fr;

text-align:center;

padding:60px 30px;

}

.hero-left{

order:2;

}

.hero-right{

order:1;

}

.hero-left p{

margin:auto;

}

.hero-buttons{

justify-content:center;

}

.products-grid{

grid-template-columns:repeat(2,1fr);

}

.features{

grid-template-columns:repeat(2,1fr);

}

.trust{

grid-template-columns:repeat(2,1fr);

}

.footer-container{

grid-template-columns:1fr;

text-align:center;

}

.footer-brand p{

margin:auto;

}

}

/* ==========================================
MOBILE
========================================== */

@media (max-width:768px){

.topbar{

display:none;

}

.logo{

font-size:34px;

}

.hero{

padding:35px 20px;

border-radius:20px;

}

.hero-left h1{

font-size:52px;

}

.hero-left h2{

font-size:38px;

}

.hero-left p{

font-size:15px;

}

.hero-buttons{

flex-direction:column;

}

.dark-btn,
.light-btn,
.buy-btn{

width:100%;

text-align:center;

}

.products-grid{

grid-template-columns:1fr;

}

.features{

grid-template-columns:1fr;

}

.trust{

grid-template-columns:1fr;

}

.review-grid{

grid-template-columns:1fr;

}

.instagram-grid{

grid-template-columns:repeat(2,1fr);

}

.newsletter-form{

flex-direction:column;

}

.newsletter-form input{

width:100%;

}

.newsletter-form button{

width:100%;

}

.footer{

text-align:center;

}

.footer-container{

padding:60px 20px;

}

}

/* ==========================================
SMALL MOBILE
========================================== */

@media (max-width:480px){

.hero-left h1{

font-size:42px;

}

.products-section h2,
.faq h2,
.newsletter h2,
.instagram-card h2,
.founder h2{

font-size:38px;

}

.section-tag{

font-size:11px;

}

}